is_link
is_uploaded_file
Filesystem Functions
PHP Manual

# is_readable

Tells whether a file exists and is readable

### Description

bool is_readable ( string `$filename` )

Tells whether a file exists and is readable.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns `TRUE` if the file or directory specified by `filename` exists and is readable, `FALSE` otherwise.

### Examples

Example #1 is_readable example

`<?php
$filename = 'test.txt';
if (is_readable($filename)) {
echo 'The file is readable';
} else {
echo 'The file is not readable';
}
?>`

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Notes

Keep in mind that PHP may be accessing the file as the user id that the web server runs as (often 'nobody'). Safe mode limitations are not taken into account before PHP 5.1.5.

> Note: The results of this function are cached. See clearstatcache for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to Supported Protocols and Wrappers to determine which wrappers support stat family of functionality.

> Note:

> The check is done using the real UID/GID instead of the effective one.

This function may return `TRUE` for directories. Use is_dir to distinguish file and directory.

### See Also

- is_writable
- file_exists
- fgets